# Feature-set ID

{% hint style="success" %}
Replace the `{{BaseURL}}` with the one mentioned [here ](/truecaller-for-business/verified-business-api-documentation/getting-started.md)
{% endhint %}

<mark style="color:green;">`GET`</mark>`{{BaseURL}}`/clients/{clientAccountId}/number\_management/feature\_sets

{% hint style="success" %}
{clientAccountId} : This can be taken directly from the self serve portal under the Manage API Keys Page&#x20;
{% endhint %}

{% hint style="warning" %}
For Authorization Token kindly refer the[ Authentication](https://docs.truecaller.com/truecaller-for-business/verified-business-api-documentation/getting-started/authentication) section followed by [Generate Access Token](https://docs.truecaller.com/truecaller-for-business/verified-business-api-documentation/getting-started/generate-access-token) API
{% endhint %}

#### Query Parameters

| Name           | Value                                        | Type    |
| -------------- | -------------------------------------------- | ------- |
| department\_id | optional, to filter by department            | string  |
| operation\_id  | optional, to filter by operation             | string  |
| process\_id    | optional, to filter by process or subprocess | string  |
| limit          | optional, Limit per page                     | integer |
| page           | optional, Current page number                | integer |

#### Header

| Name          | Value                                                           |
| ------------- | --------------------------------------------------------------- |
| Authorization | <p><code>Required</code></p><p><code>Bearer \<token></code></p> |

**Response**

{% tabs %}
{% tab title="200 OK" %}

```json
{
    "feature_sets": [
        {
            "id": "069d2e3a-41e6-41f9-a768-157d7e3bd6b9",
            "name": "prio1",
            "description": "",
            "status": "draft",
            "process_id": "318d5ae4-d2ad-4dc6-898a-861347ce279d",
            "client_account_id": "91c173bb-28d8-4030-9722-8663ff9589f3",
            "label_id": "7c7ec202-96cc-4c5f-8b24-23cbc07a2a8a",
            "call_reason_id": "689f6ce5-c03d-4d96-8af8-c8fb9b52510d",
            "video_caller_id": null,
            "business_profile_id": null,
            "call_me_back": false,
            "survey": false,
            "department_id": "8e16b0d3-0953-40d0-9079-2a412363063e",
            "department_name": "QA Test new flow edit",
            "operation_id": "14349208-1e61-4f88-81c5-2f55dfc755db",
            "calling_operation_id": "690aa251-122e-4cbc-87a8-8d270fffb218",
            "calling_operation_name": "Delivery",
            "process_name": "newProcess",
            "sub_process_name": "subPro",
            "created_at": "2025-07-16T10:15:04.800203Z",
            "updated_at": "2025-07-16T10:15:04.800203Z"
        },
        {
            "id": "684de058-3d09-4b05-ba65-3612b5cf616b",
            "name": "New Feature Set-7",
            "description": "",
            "status": "draft",
            "process_id": "510ab615-1dda-4cac-97f3-7975e10a4cd5",
            "client_account_id": "91c173bb-28d8-4030-9722-8663ff9589f3",
            "label_id": "7c7ec202-96cc-4c5f-8b24-23cbc07a2a8a",
            "call_reason_id": "f435f291-6508-4362-84bb-00100f008544",
            "video_caller_id": null,
            "business_profile_id": null,
            "call_me_back": false,
            "survey": false,
            "department_id": "85c87025-35e2-4e68-9257-0517609cfd3d",
            "department_name": "Listingdelisting",
            "operation_id": "358328f9-d99e-49ec-927e-28029efb0dde",
            "calling_operation_id": "0cb2cb40-8c23-44ce-b546-6d9b6b66af88",
            "calling_operation_name": "Sales",
            "process_name": "Listingdelisting",
            "sub_process_name": "",
            "created_at": "2025-07-16T10:12:24.561896Z",
            "updated_at": "2025-07-16T10:12:24.561896Z"
        }
    ],
    "pagination_info": {
        "total_page_count": 2,
        "current_page": 1,
        "page_limit": 50
    }
}
```

{% endtab %}

{% tab title="403 Forbidden" %}

```json
{
    "slug": "forbidden-error",
    "message": "not authorized. please contact your admin."
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.truecaller.com/truecaller-for-business/verified-business-api-documentation/number-management/feature-set-id.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
